<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for componentVersion StructType
 * @subpackage Structs
 */
class ComponentVersion extends AbstractStructBase
{
    /**
     * The version
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * @var string
     */
    public $version;
    /**
     * Constructor method for componentVersion
     * @uses ComponentVersion::setVersion()
     * @param string $version
     */
    public function __construct($version = null)
    {
        $this
            ->setVersion($version);
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ComponentVersion
     */
    public function setVersion($version = null)
    {
        $this->version = $version;
        return $this;
    }
}
